public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2016-12-12 16:27 Mike Frysinger
  0 siblings, 0 replies; 12+ messages in thread
From: Mike Frysinger @ 2016-12-12 16:27 UTC (permalink / raw
  To: gentoo-commits

commit:     0cfb3c43f2c5484c43fa0513c87cfe8ddc70b323
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 10 17:39:03 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Dec 12 16:26:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cfb3c43

app-emulation/hercules: mark 3.10 stable for all

 app-emulation/hercules/hercules-3.10.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/hercules/hercules-3.10.ebuild b/app-emulation/hercules/hercules-3.10.ebuild
index 6f16f2a..9519b4b 100644
--- a/app-emulation/hercules/hercules-3.10.ebuild
+++ b/app-emulation/hercules/hercules-3.10.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos ~x86-macos"
+KEYWORDS="alpha amd64 ppc sparc x86 ~x64-macos ~x86-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="bzip2? ( app-arch/bzip2 )


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2016-12-12 19:09 Mike Frysinger
  0 siblings, 0 replies; 12+ messages in thread
From: Mike Frysinger @ 2016-12-12 19:09 UTC (permalink / raw
  To: gentoo-commits

commit:     efa7f75747cdf73929aa43bead5b01fe901e9fc3
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 12 19:07:42 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Dec 12 19:07:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efa7f757

app-emulation/hercules: version bump to 3.12

 app-emulation/hercules/Manifest             |  1 +
 app-emulation/hercules/hercules-3.12.ebuild | 47 +++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/app-emulation/hercules/Manifest b/app-emulation/hercules/Manifest
index c30767b..bbd2b26 100644
--- a/app-emulation/hercules/Manifest
+++ b/app-emulation/hercules/Manifest
@@ -1 +1,2 @@
 DIST hercules-3.10.tar.gz 2608321 SHA256 26264569b7d78bbc3b6221926051ac3761c4a792dfc84d591d3230de40aa46fa SHA512 de8b3e2e90fdb745dea9c8ce4dbe506de2aba3bf08b3e937605798e6a8020576a949d6ea3496b7c42bd23d617fc96648d2d8ec05a66e8ed174ce46a3bc31c5d1 WHIRLPOOL 5233ededd4ef42e201216a11b2a09ee6c59a678771aaa9bc78ab4b87f459addc5c0b4ffd4bd2ec98d15a461565db6a354cc1ac846f800b98e86e93e51b263b4a
+DIST hercules-3.12.tar.gz 2569617 SHA256 aefbe9d2f09372a530c17c177b7d2a0f4bcf8cfd28474672935b067e5f9ee373 SHA512 81d6e151c1c8534753f2db532a0a7bd36fb3806c1ffbab5d6e4a9af3eecea46b95105c37574910714dcfc0fe9b74a72140d573099c24fd44021159ce697414ef WHIRLPOOL 03817954f281b545a1e431e3b2cbc11c97c2c636a63a8ca5a22b9a046ee9f286ec922798e38b7874c5b5b9a8f8fcfe59d8e7cac7f03bf880265937a53f43f4ef

diff --git a/app-emulation/hercules/hercules-3.12.ebuild b/app-emulation/hercules/hercules-3.12.ebuild
new file mode 100644
index 00000000..14e2e8a
--- /dev/null
+++ b/app-emulation/hercules/hercules-3.12.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit flag-o-matic eutils
+
+DESCRIPTION="Hercules System/370, ESA/390 and zArchitecture Mainframe Emulator"
+HOMEPAGE="http://www.hercules-390.eu/"
+SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
+
+LICENSE="QPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos ~x86-macos"
+IUSE="bzip2 custom-cflags +suid"
+
+RDEPEND="bzip2? ( app-arch/bzip2 )
+	sys-libs/zlib"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-3.09-aliasing.patch
+
+	# The local modules need local libs, so when doing a parallel install
+	# of the modules and libs breaks during relinking.  Force the libs to
+	# install first, and then the modules that use those libs.  #488126
+	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in
+}
+
+src_configure() {
+	use custom-cflags || strip-flags
+	ac_cv_lib_bz2_BZ2_bzBuffToBuffDecompress=$(usex bzip2) \
+	econf \
+		$(use_enable bzip2 cckd-bzip2) \
+		$(use_enable bzip2 het-bzip2) \
+		$(use_enable suid setuid-hercifc) \
+		--enable-custom="Gentoo ${PF}.ebuild" \
+		--disable-optimization
+}
+
+src_install() {
+	default
+	insinto /usr/share/hercules
+	doins hercules.cnf
+	dodoc README.* RELEASE.NOTES
+	dohtml -r html
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2016-12-12 19:09 Mike Frysinger
  0 siblings, 0 replies; 12+ messages in thread
From: Mike Frysinger @ 2016-12-12 19:09 UTC (permalink / raw
  To: gentoo-commits

commit:     d346d85dce1f865a3f318d645c494e2955f2b239
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 12 19:07:01 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Dec 12 19:07:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d346d85d

app-emulation/hercules: fix parallel install errors #488126

 app-emulation/hercules/hercules-3.10.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/app-emulation/hercules/hercules-3.10.ebuild b/app-emulation/hercules/hercules-3.10.ebuild
index 9519b4b..7187cc4 100644
--- a/app-emulation/hercules/hercules-3.10.ebuild
+++ b/app-emulation/hercules/hercules-3.10.ebuild
@@ -21,6 +21,11 @@ DEPEND="${RDEPEND}"
 
 src_prepare() {
 	epatch "${FILESDIR}"/${PN}-3.09-aliasing.patch
+
+	# The local modules need local libs, so when doing a parallel install
+	# of the modules and libs breaks during relinking.  Force the libs to
+	# install first, and then the modules that use those libs.  #488126
+	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2017-11-03 20:44 Andreas Hüttel
  0 siblings, 0 replies; 12+ messages in thread
From: Andreas Hüttel @ 2017-11-03 20:44 UTC (permalink / raw
  To: gentoo-commits

commit:     ead5929db1367d37a478a202cac1cc42ecb7112b
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  3 20:34:55 2017 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Fri Nov  3 20:44:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ead5929d

app-emulation/hercules: Links to libnsl, so add dependency

Package-Manager: Portage-2.3.13, Repoman-2.3.4

 app-emulation/hercules/hercules-3.10.ebuild | 1 +
 app-emulation/hercules/hercules-3.12.ebuild | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/app-emulation/hercules/hercules-3.10.ebuild b/app-emulation/hercules/hercules-3.10.ebuild
index 332b50e1fa0..605f69a08db 100644
--- a/app-emulation/hercules/hercules-3.10.ebuild
+++ b/app-emulation/hercules/hercules-3.10.ebuild
@@ -15,6 +15,7 @@ KEYWORDS="alpha amd64 ppc sparc x86 ~x64-macos ~x86-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="bzip2? ( app-arch/bzip2 )
+	net-libs/libnsl:0
 	sys-libs/zlib"
 DEPEND="${RDEPEND}"
 

diff --git a/app-emulation/hercules/hercules-3.12.ebuild b/app-emulation/hercules/hercules-3.12.ebuild
index 14e2e8a5fe4..b9b49d82dbf 100644
--- a/app-emulation/hercules/hercules-3.12.ebuild
+++ b/app-emulation/hercules/hercules-3.12.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -15,6 +15,7 @@ KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos ~x86-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="bzip2? ( app-arch/bzip2 )
+	net-libs/libnsl:0=
 	sys-libs/zlib"
 DEPEND="${RDEPEND}"
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2020-09-19 18:10 Sam James
  0 siblings, 0 replies; 12+ messages in thread
From: Sam James @ 2020-09-19 18:10 UTC (permalink / raw
  To: gentoo-commits

commit:     33e0ab8b38afd3d91de960a390153282ed3dc75f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 18:02:41 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 18:10:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33e0ab8b

app-emulation/hercules: port to EAPI 7

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/hercules/hercules-3.10.ebuild | 17 +++++++++++------
 app-emulation/hercules/hercules-3.12.ebuild | 17 +++++++++++------
 2 files changed, 22 insertions(+), 12 deletions(-)

diff --git a/app-emulation/hercules/hercules-3.10.ebuild b/app-emulation/hercules/hercules-3.10.ebuild
index c28944bdf92..d165c020c39 100644
--- a/app-emulation/hercules/hercules-3.10.ebuild
+++ b/app-emulation/hercules/hercules-3.10.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="4"
+EAPI=7
 
-inherit flag-o-matic eutils
+inherit flag-o-matic
 
 DESCRIPTION="Hercules System/370, ESA/390 and zArchitecture Mainframe Emulator"
 HOMEPAGE="http://www.hercules-390.eu/"
@@ -15,17 +15,21 @@ KEYWORDS="~alpha amd64 ppc sparc x86 ~x64-macos ~x86-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="bzip2? ( app-arch/bzip2 )
-	net-libs/libnsl:0
+	net-libs/libnsl:0=
 	sys-libs/zlib"
 DEPEND="${RDEPEND}"
 
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.09-aliasing.patch
+)
+
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-3.09-aliasing.patch
+	default
 
 	# The local modules need local libs, so when doing a parallel install
 	# of the modules and libs breaks during relinking.  Force the libs to
 	# install first, and then the modules that use those libs.  #488126
-	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in
+	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in || die
 }
 
 src_configure() {
@@ -44,5 +48,6 @@ src_install() {
 	insinto /usr/share/hercules
 	doins hercules.cnf
 	dodoc README.* RELEASE.NOTES
-	dohtml -r html
+	docinto html
+	dodoc -r html
 }

diff --git a/app-emulation/hercules/hercules-3.12.ebuild b/app-emulation/hercules/hercules-3.12.ebuild
index b9b49d82dbf..d121c6a69fa 100644
--- a/app-emulation/hercules/hercules-3.12.ebuild
+++ b/app-emulation/hercules/hercules-3.12.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=7
 
-inherit flag-o-matic eutils
+inherit flag-o-matic
 
 DESCRIPTION="Hercules System/370, ESA/390 and zArchitecture Mainframe Emulator"
 HOMEPAGE="http://www.hercules-390.eu/"
@@ -19,13 +19,17 @@ RDEPEND="bzip2? ( app-arch/bzip2 )
 	sys-libs/zlib"
 DEPEND="${RDEPEND}"
 
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.09-aliasing.patch
+)
+
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-3.09-aliasing.patch
+	default
 
 	# The local modules need local libs, so when doing a parallel install
 	# of the modules and libs breaks during relinking.  Force the libs to
 	# install first, and then the modules that use those libs.  #488126
-	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in
+	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in || die
 }
 
 src_configure() {
@@ -44,5 +48,6 @@ src_install() {
 	insinto /usr/share/hercules
 	doins hercules.cnf
 	dodoc README.* RELEASE.NOTES
-	dohtml -r html
+	docinto html
+	dodoc -r html
 }


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-01-06 13:08 Fabian Groffen
  0 siblings, 0 replies; 12+ messages in thread
From: Fabian Groffen @ 2021-01-06 13:08 UTC (permalink / raw
  To: gentoo-commits

commit:     621213177ed483681de26f7c35db5cc800f9f9f6
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  6 13:08:10 2021 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Wed Jan  6 13:08:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62121317

app-emulation/hercules: drop x86-macos

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 app-emulation/hercules/hercules-3.10.ebuild | 4 ++--
 app-emulation/hercules/hercules-3.12.ebuild | 4 ++--
 app-emulation/hercules/hercules-3.13.ebuild | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/app-emulation/hercules/hercules-3.10.ebuild b/app-emulation/hercules/hercules-3.10.ebuild
index d165c020c39..2759a92bd42 100644
--- a/app-emulation/hercules/hercules-3.10.ebuild
+++ b/app-emulation/hercules/hercules-3.10.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc x86 ~x64-macos ~x86-macos"
+KEYWORDS="~alpha amd64 ppc sparc x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="bzip2? ( app-arch/bzip2 )

diff --git a/app-emulation/hercules/hercules-3.12.ebuild b/app-emulation/hercules/hercules-3.12.ebuild
index d121c6a69fa..ea0d3fecd24 100644
--- a/app-emulation/hercules/hercules-3.12.ebuild
+++ b/app-emulation/hercules/hercules-3.12.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos ~x86-macos"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="bzip2? ( app-arch/bzip2 )

diff --git a/app-emulation/hercules/hercules-3.13.ebuild b/app-emulation/hercules/hercules-3.13.ebuild
index 90fb943156a..1131976ea5e 100644
--- a/app-emulation/hercules/hercules-3.13.ebuild
+++ b/app-emulation/hercules/hercules-3.13.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos ~x86-macos"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-11-18  8:00 Mike Frysinger
  0 siblings, 0 replies; 12+ messages in thread
From: Mike Frysinger @ 2021-11-18  8:00 UTC (permalink / raw
  To: gentoo-commits

commit:     0fa2a867cc1298a4c0cd3babab783072d2f6e102
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 18 07:55:40 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Thu Nov 18 07:59:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fa2a867

app-emulation/hercules: do not delete libtool module .la files #720342

Since hercules uses libltdl to load its internal modules, we need to
leave the .la files in place for it to process.

Also add subslot linkage to these libs while we're updating.

Bug: https://bugs.gentoo.org/252716
Closes: https://bugs.gentoo.org/720342
Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 .../{hercules-3.13.ebuild => hercules-3.13-r1.ebuild}        | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/app-emulation/hercules/hercules-3.13.ebuild b/app-emulation/hercules/hercules-3.13-r1.ebuild
similarity index 88%
rename from app-emulation/hercules/hercules-3.13.ebuild
rename to app-emulation/hercules/hercules-3.13-r1.ebuild
index e128b5c5332e..f068c94f7e2f 100644
--- a/app-emulation/hercules/hercules-3.13.ebuild
+++ b/app-emulation/hercules/hercules-3.13-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI="7"
 
 inherit autotools flag-o-matic
 
@@ -15,10 +15,10 @@ KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="
-	dev-libs/libltdl
+	dev-libs/libltdl:=
 	net-libs/libnsl:0=
-	sys-libs/zlib
-	bzip2? ( app-arch/bzip2 )"
+	sys-libs/zlib:=
+	bzip2? ( app-arch/bzip2:= )"
 DEPEND="${RDEPEND}"
 
 PATCHES=(
@@ -61,6 +61,6 @@ src_install() {
 	insinto /usr/share/hercules
 	doins hercules.cnf
 
-	# no static archives
-	find "${D}" -name '*.la' -delete || die
+	# No static archives.  Have to leave .la files for modules. #720342
+	rm "${ED}/usr/$(get_libdir)/"*.la || die
 }


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-11-18  8:00 Mike Frysinger
  0 siblings, 0 replies; 12+ messages in thread
From: Mike Frysinger @ 2021-11-18  8:00 UTC (permalink / raw
  To: gentoo-commits

commit:     3b606ac8a2b93199a50eba964ee276de49054500
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 18 07:23:43 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Thu Nov 18 07:59:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b606ac8

app-emulation/hercules: restore parallel install fix #772404

Bug: https://bugs.gentoo.org/252716
Closes: https://bugs.gentoo.org/772404
Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 app-emulation/hercules/hercules-3.13.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/app-emulation/hercules/hercules-3.13.ebuild b/app-emulation/hercules/hercules-3.13.ebuild
index 5e15d8d58a99..8abf27c7e9a1 100644
--- a/app-emulation/hercules/hercules-3.13.ebuild
+++ b/app-emulation/hercules/hercules-3.13.ebuild
@@ -33,6 +33,11 @@ src_prepare() {
 	# delete bundled libltdl, #252716
 	rm ltdl.{c,h} || die
 	eautoreconf
+
+	# The local modules need local libs, so when doing a parallel install
+	# of the modules and libs breaks during relinking.  Force the libs to
+	# install first, and then the modules that use those libs.  #488126
+	echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in || die
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-11-23 10:58 Jakov Smolić
  0 siblings, 0 replies; 12+ messages in thread
From: Jakov Smolić @ 2021-11-23 10:58 UTC (permalink / raw
  To: gentoo-commits

commit:     3fa289d4c27daee150c9a4c1a088078658d45bab
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 23 10:58:36 2021 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Tue Nov 23 10:58:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fa289d4

app-emulation/hercules: Stabilize 3.13-r1 amd64, #724006

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 app-emulation/hercules/hercules-3.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/hercules/hercules-3.13-r1.ebuild b/app-emulation/hercules/hercules-3.13-r1.ebuild
index f068c94f7e2f..4c99074b7ebd 100644
--- a/app-emulation/hercules/hercules-3.13-r1.ebuild
+++ b/app-emulation/hercules/hercules-3.13-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-11-24  0:46 Sam James
  0 siblings, 0 replies; 12+ messages in thread
From: Sam James @ 2021-11-24  0:46 UTC (permalink / raw
  To: gentoo-commits

commit:     a174b0263d268a9a43e0846b65fa1f3eb7cb662b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 00:45:33 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 00:45:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a174b026

app-emulation/hercules: Stabilize 3.13-r1 x86, #724006

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/hercules/hercules-3.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/hercules/hercules-3.13-r1.ebuild b/app-emulation/hercules/hercules-3.13-r1.ebuild
index 4c99074b7ebd..4aaae438b195 100644
--- a/app-emulation/hercules/hercules-3.13-r1.ebuild
+++ b/app-emulation/hercules/hercules-3.13-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 ~ppc ~sparc x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-11-24  7:57 Agostino Sarubbo
  0 siblings, 0 replies; 12+ messages in thread
From: Agostino Sarubbo @ 2021-11-24  7:57 UTC (permalink / raw
  To: gentoo-commits

commit:     bf427922abf0bc083f29243b23f74d00e3179861
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 07:57:11 2021 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 07:57:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf427922

app-emulation/hercules: sparc stable wrt bug #724006

Package-Manager: Portage-3.0.20, Repoman-3.0.3
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-emulation/hercules/hercules-3.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/hercules/hercules-3.13-r1.ebuild b/app-emulation/hercules/hercules-3.13-r1.ebuild
index 4aaae438b195..6ed8f1eaba71 100644
--- a/app-emulation/hercules/hercules-3.13-r1.ebuild
+++ b/app-emulation/hercules/hercules-3.13-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc ~sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 ~ppc sparc x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/
@ 2021-11-26 19:07 Arthur Zamarin
  0 siblings, 0 replies; 12+ messages in thread
From: Arthur Zamarin @ 2021-11-26 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     e26222951db184e1f78634993815b8ea82a7bdde
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 26 19:06:43 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 26 19:06:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2622295

app-emulation/hercules: Stabilize 3.13-r1 ppc, #724006

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-emulation/hercules/hercules-3.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/hercules/hercules-3.13-r1.ebuild b/app-emulation/hercules/hercules-3.13-r1.ebuild
index 6ed8f1eaba71..608739f4b314 100644
--- a/app-emulation/hercules/hercules-3.13-r1.ebuild
+++ b/app-emulation/hercules/hercules-3.13-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
 
 LICENSE="QPL-1.0"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 ppc sparc x86 ~x64-macos"
 IUSE="bzip2 custom-cflags +suid"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2021-11-26 19:07 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-11-26 19:07 [gentoo-commits] repo/gentoo:master commit in: app-emulation/hercules/ Arthur Zamarin
  -- strict thread matches above, loose matches on Subject: below --
2021-11-24  7:57 Agostino Sarubbo
2021-11-24  0:46 Sam James
2021-11-23 10:58 Jakov Smolić
2021-11-18  8:00 Mike Frysinger
2021-11-18  8:00 Mike Frysinger
2021-01-06 13:08 Fabian Groffen
2020-09-19 18:10 Sam James
2017-11-03 20:44 Andreas Hüttel
2016-12-12 19:09 Mike Frysinger
2016-12-12 19:09 Mike Frysinger
2016-12-12 16:27 Mike Frysinger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox